User account creation filtered due to spam.

Bug 15396 - [3.4 only][sh-linux] ICE with -O2 -fPIC
Summary: [3.4 only][sh-linux] ICE with -O2 -fPIC
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.4.0
: P2 normal
Target Milestone: 3.4.1
Assignee: Kazumoto Kojima
URL:
Keywords: ice-on-valid-code, patch
Depends on:
Blocks:
 
Reported: 2004-05-12 14:30 UTC by sugioka
Modified: 2005-07-23 22:49 UTC (History)
1 user (show)

See Also:
Host: i686-pc-linux-gnu
Target: sh-unknown-linux-gnu
Build: i686-pc-linux-gnu
Known to work: 4.0.0
Known to fail: 3.4.0
Last reconfirmed:


Attachments
testcase (30.80 KB, application/x-gzip-compressed)
2004-05-12 14:32 UTC, sugioka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sugioka 2004-05-12 14:30:51 UTC
The attached code ICE's with '-m4 -O2 -fPIC'.

$ sh-linux-gcc -O2 -fPIC -m4 -c XExtInt.i
XExtInt.c: In function `XInputWireToEvent':
XExtInt.c:663: error: unrecognizable insn:
(insn 2736 2735 2737 (unspec_volatile [
            (label_ref 775)
            (const_int 0 [0x0])
        ] 4) -1 (nil)
    (nil))
XExtInt.c:663: internal compiler error: in insn_default_length, at insn-
attrtab.c:709

It correctly compiles with '-m4 -O -fPIC'.
Comment 1 sugioka 2004-05-12 14:32:27 UTC
Created attachment 6265 [details]
testcase
Comment 2 Kazumoto Kojima 2004-06-08 00:32:11 UTC
I've proposed a patch for this to gcc-patches:
http://gcc.gnu.org/ml/gcc-patches/2004-06/msg00389.html
Comment 3 Kazumoto Kojima 2004-06-11 22:03:11 UTC
Joern has applied a patch which solves this issue to 3.4-branch
with Mark's approval:
  http://gcc.gnu.org/ml/gcc-patches/2004-06/msg00747.html
Comment 4 Andrew Pinski 2004-06-11 22:06:10 UTC
Fixed for 3.4.1.